SULOGIN(8)

BEZEICHNUNG
sulogin - Einzelbenutzeranmeldung

ÜBERSICHT

sulogin [Optionen] [tty]

BESCHREIBUNG

sulogin wird von init aufgerufen, wenn das System in den Einzelbenutzermodus (single user mode) wechselt.

Der Benutzer wird um folgende Eingaben gebeten:

Administratorpasswort für Wartungszwecke eingeben (oder drücken Sie Strg+D, um fortzufahren):

Wenn das Root-Benutzerkonto gesperrt ist und --force angegeben wird, ist keine Passworteingabe erforderlich.

sulogin wird mit dem aktuellen Terminal oder mit dem optional in der Befehlszeile angegebenen TTY-Gerät verbunden (Letzteres ist typischerweise /dev/console).

Wenn der Benutzer die Einzelbenutzer-Shell verlässt oder an der Eingabeaufforderung Strg-D drückt, wird der Systemstartvorgang fortgesetzt.

OPTIONEN

-e, --force
    untersucht /etc/passwd und /etc/shadow, um das Passwort zu ermitteln, falls die Standardmethode zum Ermitteln des Passworts aus dem System mittels getpwnam(3) fehlschlägt. Wenn diese Dateien beschädigt oder nicht vorhanden sind oder wenn das Root-Benutzerkonto durch »!« oder »*« am Anfang des Passworts gesperrt ist, dann startet sulogin eine Root-Shell, ohne nach einem Passwort zu fragen.

    Verwenden Sie die Option -e nur dann, wenn Sie sicher sind, dass die Konsole physisch gegen unerlaubten Zugriff geschützt ist.

-p, --login-shell
    bewirkt, dass sulogin den Shell-Prozess als Anmelde-Shell startet.

-t, --timeout Sekunden
    gibt die maximale Zeitspanne an, die auf Benutzereingaben gewartet werden soll. Standardmäßig wartet sulogin unbegrenzte Zeit.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

UMGEBUNGSVARIABLEN

sulogin schaut nach der Umgebungsvariable SUSHELL oder sushell, um zu bestimmen, welche Shell gestartet werden soll. Falls die Umgebungsvariable nicht gesetzt ist, versucht es, die Shell des Root-Benutzers aus /etc/passwd zu starten. Falls dies fehlschlägt, fällt es auf /bin/sh zurück.

AUTOREN

sulogin wurde für SysVinit von Miquel van Smoorenburg geschrieben und später von Dave Reisner und Karel Zak auf util-linux portiert.

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl sulogin ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.